
QGIS Application - Bug report #437

Crash on GRASS browser refresh

2006-12-08 07:12 AM - Martin Dobias

Status: Closed

Priority: Low

Assignee: Redmine Admin

Category: GRASS

Affected QGIS version: Regression?: No

Operating System: Debian Easy fix?: No

Pull Request or Patch supplied: Resolution: fixed

Crashes QGIS or corrupts data: Copied to github as #: 10496

Description

Steps to reproduce:

 1. delete first vector map

 2. create a map (e.g. doing a buffer) and give it a similar name so it should get to the same position in the grass browser

 3. refresh grass browser

History

#1 - 2006-12-13 03:44 AM - Redmine Admin

- Resolution set to fixed

- Status changed from Open to Closed

Fixed in revision 6250.

The problem was that Qt can call 

  [[QgsGrassModel]]::index( int row, int column, const QModelIndex & parent )

with row < 0 (strange/bug/correct?) for example if beginInsertRows(,0,0) 

is called and the first item was previously deleted 

=> check if row < 0 and return empty QModelIndex, but is it correct?

Radim

#2 - 2009-08-22 12:46 AM - Anonymous

Milestone Version 0.8 deleted
